<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables</title>
</head>
<body>
	<h2 align="center">Welcome to the Table Page</h2>
	<ul>
		<li><a href="./index.html">Go To Home Page</a></li>
		<li><a href="./form.html">Go To Forms Page</a></li>
		<li><a href="../activity/contact.html">Go To Contacts Page</a></li>
	</ul>
	<!-- div is a container of text and other elements or even other divs. It represents a division in our page. The difference between a span and a div is that a div is displayed as a block element. 

		*imagine div as a box* -->

	<!-- id attribute allows us to add a unique identifier to a unique element in a page. ID cannot be repeated. ID allows us to design a particular element or even add JS features to that element. The value of attribute is user defined. -->

	<!-- Semantic Div, a semantic div is a div uniquely identified with an id that clearly defines the content and the purpose of the div. -->

	<div id="mainContent">
		<h3>HTML Entities</h3>
		<p>
			<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
		</p>
		<p>
			HTML Entities start with an ampersand (&) and ends with a semicolon (;)
		</p>
		<!-- tables are created by using the table tag -->
		<!-- border attribute allows us to modify thickness of tables' border -->
		<table border="1">
			<!-- 
				tables can be divided by thead, tbody, tfoot, thead will contain all table headers or labels per column.

				tbody contains the actual table data

				tfoot will contain a footer which is additional info about the table
			 -->
			 <thead>
			 	<!-- tr table row allows to properly contain our th or tds in a row. -->
			 <tr>
			 	<!-- th means table header, it allows us to add cells which will be our headers. Texts in th are bolded. -->
			 	<th colspan="2">Entity</th>
			 	<th>Description</th>
			 </tr>
			 </thead>
			 <tbody>
			 	<!-- td means table data that allows to add cells with our actual table data. Text here are not bolded. -->
			 	<tr>
			 			<td>&lt;</td>
			 			<td>lt</td>
			 			<td>Less Than</td>
			 	</tr>
			 <tr>
			 	<td>&gt;</td>
			 	<td>gt</td>
			 	<td>Greater Than</td>
			 </tr>
			 <tr>
			 	<td>&#8369;</td>
			 	<td>#8369</td>
			 	<td>Peso Sign</td>
			 </tr>
			 <tr>
			 	<td>&amp;</td>
			 	<td>amp</td>
			 	<td>Ampersand</td>
			 </tr> 
			 <tr>
			 	<td>&quot;</td>
			 	<td>quot</td>
			 	<td>Double Quotation Mark</td>
			 </tr>
			 <tr>
			 	<td>&apos;</td>
			 	<td>apos</td>
			 	<td>Apostrophe (Single Quotation Mark)</td>
			 </tr> 
			 <tr>
			 	<td>&ntilde;</td>
			 	<td>ntilde</td>
			 	<td>Lower Tilde</td>
			 </tr> 
			 <tr>
			 	<td>&Ntilde;</td>
			 	<td>Ntilde</td>
			 	<td>Upper Tilde</td>
			 </tr>
			 </tbody>
			 <tfoot>
			 	<tr>
			 		<th colspan="3">There are some common HTML Entities. There are many more to be learned.</th>
			 	</tr>
			 </tfoot>
		</table>

		<hr>
		<h3>My Product List</h3>
		<table border="1">
			<thead>
				<tr>
				<th>Name</th>
				<th>Price</th>
				<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Cornetto</td>
					<td>Php20</td>
					<td>Ice Cream</td>
				</tr>	
				<tr>
					<td>Water Bottle</td>
					<td>Php30</td>
					<td>Single Bottled Water</td>
				</tr>	
				<tr>
					<td>Mini Stop Chicken</td>
					<td>Php280</td>
					<td>6 pieces Chicken</td>
				</tr>	
				<tr>
					<td>Ballpen</td>
					<td>Php10</td>
					<td>Single Panda Pen</td>
				</tr>	
				<tr>
					<td>Bench T-Shirt</td>
					<td>Php250</td>
					<td>Simple T-Shirt</td>
				</tr>
			</tbody>
		</table>
	</div>
	
</body>
</html>